Mxnet version for cuda 10.2 in windows 10?

I’m trying to install mxnet with GPU support on windows 10 for CUDA 10.2. The following command:

pip install mxnet-cu102==1.6.0

gives the following error:

ERROR: Could not find a version that satisfies the requirement mxnet-cu102==1.6.0 (from versions: none)
ERROR: No matching distribution found for mxnet-cu102==1.6.0

This happens although the mxnet version list displayed using > pip search mxnet gives 1.6.0 as the version for CUDA 10.2

What is the correct version?

try this.

pip install https://dist.mxnet.io/python/cu102/mxnet_cu102-1.6.0-py2.py3-none-win_amd64.whl

Hi,

  1. Activate your environment. I was using miniconda.
  2. Installed cudatoolkit,mkl and cudnn.
  3. Then pip install mxnet-cu102mkl==1.6.0 -f https://dist.mxnet.io/python which I found on Github.
  4. Test installation: Use GPUs

All the best! :+1:

Sorry.
If you got an error, try this.

pip install https://repo.mxnet.io/dist/python/cu102/mxnet_cu102-1.6.0-py2.py3-none-win_amd64.whl

1 Like